## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface InstantiationExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  InstantiationExpImpl

    public interface InstantiationExp

extends ImperativeExpression

A representation of the model object 'Instantiation Exp'.

The following features are supported:

- `Argument`
- `Extent`
- `Instantiated Class`

See Also:
  `ImperativeOCLPackage.getInstantiationExp()`

Method Summary
`<any>` `getArgument()` Returns the value of the 'Argument' containment reference list.
`Variable` `getExtent()` Returns the value of the 'Extent' reference
`EClass` `getInstantiatedClass()` Returns the value of the 'Instantiated Class' reference
`void` `setExtent(Variable value)` Sets the value of the '`Extent`' reference
`void` `setInstantiatedClass(EClass value)` Sets the value of the '`Instantiated Class`' reference

Method Detail

### getArgument

    <any> getArgument()

  Returns the value of the 'Argument' containment reference list. The list contents are of type `org.eclipse.ocl.ecore.OCLExpression`.

  If the meaning of the 'Argument' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ImperativeOCLPackage.getInstantiationExp_Argument()`

### getExtent

    Variable getExtent()

  Returns the value of the 'Extent' reference.

  If the meaning of the 'Extent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extent' reference.
  See Also:
    `setExtent(Variable)`, `ImperativeOCLPackage.getInstantiationExp_Extent()`

### setExtent

    void setExtent(Variable value)

  Sets the value of the '`Extent`' reference.

  Parameters:
    `value` - the new value of the 'Extent' reference.
  See Also:
    `getExtent()`

### getInstantiatedClass

    EClass getInstantiatedClass()

  Returns the value of the 'Instantiated Class' reference.

  If the meaning of the 'Instantiated Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Instantiated Class' reference.
  See Also:
    `setInstantiatedClass(EClass)`, `ImperativeOCLPackage.getInstantiationExp_InstantiatedClass()`

### setInstantiatedClass

    void setInstantiatedClass(EClass value)

  Sets the value of the '`Instantiated Class`' reference.

  Parameters:
    `value` - the new value of the 'Instantiated Class' reference.
  See Also:
    `getInstantiatedClass()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.